capture log close
set more off
program drop _all
macro drop _all
scalar drop _all
clear all


global root "C:\iPEHD"

use "$root\ipehd_joeg2010_master.dta", clear


* Table 1

sum childwoman_1849 totenrol_1849 ind1849 popagri_1849 urban49 density_1849 marfshare prot_1849 poland le0 le5 schoolpc_1849 tempmig fert_1849 ineq_1849 kmwitt seximb_1849 seximb_child_1816 
sum cbr_new1880 d_cbr_new mfr1890_new d_mfr_new netmig_1880 if d_cbr_new~=.


* Table 2

reg childwoman_1849 totenrol_1849, robust
reg childwoman_1849 totenrol_1849 ind1849 popagri_1849 urban49 density_1849, robust
reg childwoman_1849 totenrol_1849 ind1849 popagri_1849 urban49 density_1849 marfshare, robust
reg childwoman_1849 totenrol_1849 ind1849 popagri_1849 urban49 density_1849 marfshare prot_1849, robust
reg childwoman_1849 totenrol_1849 ind1849 popagri_1849 urban49 density_1849 marfshare prot_1849 poland, robust
reg childwoman_1849 totenrol_1849 ind1849 popagri_1849 urban49 density_1849 marfshare prot_1849 poland le0, robust


* Table 3

reg totenrol_1849 childwoman_1849, robust
reg totenrol_1849 childwoman_1849 ind1849 popagri_1849 urban49, robust
reg totenrol_1849 childwoman_1849 ind1849 popagri_1849 urban49 density_1849, robust
reg totenrol_1849 childwoman_1849 ind1849 popagri_1849 urban49 density_1849 prot_1849, robust
reg totenrol_1849 childwoman_1849 ind1849 popagri_1849 urban49 density_1849 prot_1849 poland, robust
reg totenrol_1849 childwoman_1849 ind1849 popagri_1849 urban49 density_1849 prot_1849 poland le0, robust


* Table 4

global x_1849 "ind1849 popagri_1849 urban49 density_1849"
ivreg2 childwoman_1849 ${x_1849} marfshare poland (totenrol_1849 = ineq_1849), small robust first
ivreg2 childwoman_1849 ${x_1849} marfshare poland (totenrol_1849 = kmwitt), small robust first
ivreg2 childwoman_1849 ${x_1849} marfshare poland (totenrol_1849 = ineq_1849 kmwitt), small  robust first


* Table 5

ivreg2 childwoman_1849 ${x_1849} marfshare poland schoolpc_1849 (totenrol_1849 = ineq_1849 kmwitt), small robust
ivreg2 childwoman_1849 ${x_1849} marfshare poland schoolpc_1849 le0 (totenrol_1849 = ineq_1849 kmwitt), small robust
ivreg2 childwoman_1849 ${x_1849} marfshare poland schoolpc_1849 le5 (totenrol_1849 = ineq_1849 kmwitt), small robust
ivreg2 fert_1849 ${x_1849} poland marfshare schoolpc_1849 le0 (totenrol_1849 = ineq_1849 kmwitt), small robust


* Table 6

global x_1849 "ind1849 popagri_1849 urban49 prot_1849 density_1849 poland"
ivreg2 totenrol_1849 ${x_1849} (childwoman_1849 = seximb_1849), small cluster(kreiskey1800) robust first
ivreg2 totenrol_1849  ${x_1849} (childwoman_1849 = seximb_child_1816), small cluster(kreiskey1800) robust first
ivreg2 totenrol_1849 ${x_1849} (childwoman_1849 = seximb_1849 seximb_child_1816), small cluster(kreiskey1800) robust first
 

 * Table 7

ivreg2 totenrol_1849 ${x_1849} schoolpc_1849 (childwoman_1849 = seximb_1849 seximb_child_1816), small cluster(kreiskey1800) robust
ivreg2 totenrol_1849 ${x_1849} schoolpc_1849 le0 (childwoman_1849 = seximb_1849 seximb_child_1816), small cluster(kreiskey1800) robust
ivreg2 totenrol_1849 ${x_1849} schoolpc_1849 le0 tempmig (childwoman_1849 = seximb_1849 seximb_child_1816), small cluster(kreiskey1800) robust


* Table 8

global x_1849 "ind1849 popagri_1849 urban49 density_1849"
reg d_cbr_new totenrol_1849 childwoman_1849 ${x_1849}, robust  
reg d_cbr_new totenrol_1849 childwoman_1849 ${x_1849} prot_1849 poland, robust 
reg d_cbr_new totenrol_1849 childwoman_1849 ${x_1849} prot_1849 poland schoolpc_1849, robust
reg d_cbr_new totenrol_1849 childwoman_1849 ${x_1849} prot_1849 poland schoolpc_1849 le0, robust
reg d_cbr_new totenrol_1849 childwoman_1849 ${x_1849} prot_1849 poland schoolpc_1849 le0 netmig_1880, robust
reg d_cbr_new totenrol_1849 childwoman_1849 ${x_1849} prot_1849 poland schoolpc_1849 le0 netmig_1880 cbr_new1880, robust


* Table 9

reg d_mfr_new totenrol_1849 childwoman_1849 ${x_1849}, robust
reg d_mfr_new totenrol_1849 childwoman_1849 ${x_1849} prot_1849 poland, robust
reg d_mfr_new totenrol_1849 childwoman_1849 ${x_1849} prot_1849 poland schoolpc_1849, robust
reg d_mfr_new totenrol_1849 childwoman_1849 ${x_1849} prot_1849 poland schoolpc_1849 le0, robust
reg d_mfr_new totenrol_1849 childwoman_1849 ${x_1849} prot_1849 poland schoolpc_1849 le0 netmig_1880, robust
reg d_mfr_new totenrol_1849 childwoman_1849 ${x_1849} prot_1849 poland schoolpc_1849 le0 netmig_1880 mfr1890_new, robust

